### Enumeration

# JavaScriptCore CheckSyntaxResult

#### Declaration

    enum JavaScriptCore.CheckSyntaxResult

#### Description [src]

Enum values to specify the result of jsc_context_check_syntax().

#### Members

`JSC_CHECK_SYNTAX_RESULT_SUCCESS`

  No errors.

  - Value: `0`
  - Available since: 6.0
`JSC_CHECK_SYNTAX_RESULT_RECOVERABLE_ERROR`

  Recoverable syntax error.

  - Value: `1`
  - Available since: 6.0
`JSC_CHECK_SYNTAX_RESULT_IRRECOVERABLE_ERROR`

  Irrecoverable syntax error.

  - Value: `2`
  - Available since: 6.0
`JSC_CHECK_SYNTAX_RESULT_UNTERMINATED_LITERAL_ERROR`

  Unterminated literal error.

  - Value: `3`
  - Available since: 6.0
`JSC_CHECK_SYNTAX_RESULT_OUT_OF_MEMORY_ERROR`

  Out of memory error.

  - Value: `4`
  - Available since: 6.0
`JSC_CHECK_SYNTAX_RESULT_STACK_OVERFLOW_ERROR`

  Stack overflow error.

  - Value: `5`
  - Available since: 6.0